Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 31 Dec 2021 04:36:17 +0000

Hi Amira Alanaz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Since 12th of December the landmark office boys are contacting me and all delivery boys are saying tomorrow another deliver boy will deliver. My address is very clear. I don’t understand why ladmark people are recruiting the delivery boys those who cannot read the address in English. Very bad delivery service from Landmark. I am really fed up and I am calling every day to centerpoint customer care to get my delivery.  But no response yet happened.

I need my order Order no: 6373977951Landmark Tracking Number FP1212211000472 to my below  location before 4 pm today 
Legend Tower King Fahad Branch Road Al Olaya, Riyadh 12313 – KSA.. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3644362